Subject: static rpm bug, dynamic linker

From: Ralf Baechle <[email-masked]>
Date: Wed, 15 Oct 1997 01:58:18 +0200 (MET DST)

Hi all,

I spent a lot of time on fixing the dynamic linker.  The bugs Miguel
found by building native X libraries are fixed by now.  The only one
that still is still giving me a miracle to solve is the fact that
certain statically linked executables, most prominently rpm, are
failing.

I'm about to fix that one also and that long want to remind people that
static linking is a dead concept anyway.  rpm for example will load a
dynamic libc when using the nss services, so all you get is bloat while
the knowledge about the kernel interfaces embedded into the statically
linked libc makes it very difficult to improve system interfaces.

  Ralf